Skip to main content
`Ctrl`+`K`
scipy.optimize.Bounds.

# residual

Bounds.residual(x)

  Calculate the residual (slack) between the input and the bounds

  For a bound constraint of the form:

      lb <= x <= ub

  the lower and upper residuals between x and the bounds are values `sl` and `sb` such that:

      lb + sl == x == ub - sb

  When all elements of `sl` and `sb` are positive, all elements of `x` lie within the bounds; a negative element in `sl` or `sb` indicates that the corresponding element of `x` is out of bounds.

  Parameters:
    x: array_like

      Vector of independent variables

  Returns:
    sl, sb array-like

      The lower and upper residuals